#pragma once
#include <string>

namespace jscore {
    void init(std::string host, const int port);
    const bool initOnlineScore(std::string game);
    const int getNumUsers();
    std::string getUserName(const int index);
    const int getPoints(const int index);
    const int getUserPoints(std::string game, std::string user);

    const bool updateUserPoints(std::string game, std::string user, const int points);
    std::string getUserData(std::string game, std::string user);
    void setUserData(std::string game, std::string user, std::string data);
};

